# Zest::Distribution

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**_href** | **String** |  | [optional] 
**_created** | **DateTime** | Timestamp of creation. | [optional] 
**name** | **String** | A unique distribution name. Ex, &#x60;rawhide&#x60; and &#x60;stable&#x60;. | 
**publisher** | **String** | Publications created by this publisher and repository are automaticallyserved as defined by this distribution | [optional] 
**publication** | **String** | The publication being served as defined by this distribution | [optional] 
**repository** | **String** | Publications created by this repository and publisher are automaticallyserved as defined by this distribution | [optional] 
**content_guard** | **String** | An optional content-guard. | [optional] 
**remote** | **String** | Remote that can be used to fetch content when using pull-through caching. | [optional] 
**base_path** | **String** | The base (relative) path component of the published url. Avoid paths that                     overlap with other distribution base paths (e.g. \&quot;foo\&quot; and \&quot;foo/bar\&quot;) | 
**base_url** | **String** | The URL for accessing the publication as defined by this distribution. | [optional] 


