# Zest::FileRemote

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**_href** | **String** |  | [optional] 
**_created** | **DateTime** | Timestamp of creation. | [optional] 
**_type** | **String** |  | [optional] 
**name** | **String** | A unique name for this remote. | 
**url** | **String** | The URL of an external content source. | 
**validate** | **BOOLEAN** | If True, the plugin will validate imported artifacts. | [optional] 
**ssl_ca_certificate** | **String** | A PEM encoded CA certificate used to validate the server certificate presented by the remote server. | [optional] 
**ssl_client_certificate** | **String** | A PEM encoded client certificate used for authentication. | [optional] 
**ssl_client_key** | **String** | A PEM encoded private key used for authentication. | [optional] 
**ssl_validation** | **BOOLEAN** | If True, SSL peer validation must be performed. | [optional] 
**proxy_url** | **String** | The proxy URL. Format: scheme://user:password@host:port | [optional] 
**username** | **String** | The username to be used for authentication when syncing. | [optional] 
**password** | **String** | The password to be used for authentication when syncing. | [optional] 
**_last_updated** | **DateTime** | Timestamp of the most recent update of the remote. | [optional] 
**download_concurrency** | **Integer** | Total number of simultaneous connections. | [optional] 
**policy** | **String** | The policy to use when downloading content. The possible values include: &#39;immediate&#39;, &#39;on_demand&#39;, and &#39;cache_only&#39;. &#39;immediate&#39; is the default. | [optional] [default to &quot;immediate&quot;]


