# Zest::PulpApi

All URIs are relative to *http://zest-builder*

Method | HTTP request | Description
------------- | ------------- | -------------
[**artifacts_create**](PulpApi.md#artifacts_create) | **POST** /pulp/api/v3/artifacts/ | 
[**artifacts_delete**](PulpApi.md#artifacts_delete) | **DELETE** {artifact_href} | 
[**artifacts_list**](PulpApi.md#artifacts_list) | **GET** /pulp/api/v3/artifacts/ | 
[**artifacts_read**](PulpApi.md#artifacts_read) | **GET** {artifact_href} | 
[**content_file_files_create**](PulpApi.md#content_file_files_create) | **POST** /pulp/api/v3/content/file/files/ | 
[**content_file_files_list**](PulpApi.md#content_file_files_list) | **GET** /pulp/api/v3/content/file/files/ | 
[**content_file_files_read**](PulpApi.md#content_file_files_read) | **GET** {file_content_href} | 
[**distributions_create**](PulpApi.md#distributions_create) | **POST** /pulp/api/v3/distributions/ | 
[**distributions_delete**](PulpApi.md#distributions_delete) | **DELETE** {distribution_href} | 
[**distributions_list**](PulpApi.md#distributions_list) | **GET** /pulp/api/v3/distributions/ | 
[**distributions_partial_update**](PulpApi.md#distributions_partial_update) | **PATCH** {distribution_href} | 
[**distributions_read**](PulpApi.md#distributions_read) | **GET** {distribution_href} | 
[**distributions_update**](PulpApi.md#distributions_update) | **PUT** {distribution_href} | 
[**orphans_delete**](PulpApi.md#orphans_delete) | **DELETE** /pulp/api/v3/orphans/ | 
[**publications_delete**](PulpApi.md#publications_delete) | **DELETE** {publication_href} | 
[**publications_list**](PulpApi.md#publications_list) | **GET** /pulp/api/v3/publications/ | 
[**publications_read**](PulpApi.md#publications_read) | **GET** {publication_href} | 
[**publishers_file_file_create**](PulpApi.md#publishers_file_file_create) | **POST** /pulp/api/v3/publishers/file/file/ | 
[**publishers_file_file_delete**](PulpApi.md#publishers_file_file_delete) | **DELETE** {file_publisher_href} | 
[**publishers_file_file_list**](PulpApi.md#publishers_file_file_list) | **GET** /pulp/api/v3/publishers/file/file/ | 
[**publishers_file_file_partial_update**](PulpApi.md#publishers_file_file_partial_update) | **PATCH** {file_publisher_href} | 
[**publishers_file_file_publish**](PulpApi.md#publishers_file_file_publish) | **POST** {file_publisher_href}publish/ | 
[**publishers_file_file_read**](PulpApi.md#publishers_file_file_read) | **GET** {file_publisher_href} | 
[**publishers_file_file_update**](PulpApi.md#publishers_file_file_update) | **PUT** {file_publisher_href} | 
[**remotes_file_file_create**](PulpApi.md#remotes_file_file_create) | **POST** /pulp/api/v3/remotes/file/file/ | 
[**remotes_file_file_delete**](PulpApi.md#remotes_file_file_delete) | **DELETE** {file_remote_href} | 
[**remotes_file_file_list**](PulpApi.md#remotes_file_file_list) | **GET** /pulp/api/v3/remotes/file/file/ | 
[**remotes_file_file_partial_update**](PulpApi.md#remotes_file_file_partial_update) | **PATCH** {file_remote_href} | 
[**remotes_file_file_read**](PulpApi.md#remotes_file_file_read) | **GET** {file_remote_href} | 
[**remotes_file_file_sync**](PulpApi.md#remotes_file_file_sync) | **POST** {file_remote_href}sync/ | 
[**remotes_file_file_update**](PulpApi.md#remotes_file_file_update) | **PUT** {file_remote_href} | 
[**repositories_create**](PulpApi.md#repositories_create) | **POST** /pulp/api/v3/repositories/ | 
[**repositories_delete**](PulpApi.md#repositories_delete) | **DELETE** {repository_href} | 
[**repositories_list**](PulpApi.md#repositories_list) | **GET** /pulp/api/v3/repositories/ | 
[**repositories_partial_update**](PulpApi.md#repositories_partial_update) | **PATCH** {repository_href} | 
[**repositories_read**](PulpApi.md#repositories_read) | **GET** {repository_href} | 
[**repositories_update**](PulpApi.md#repositories_update) | **PUT** {repository_href} | 
[**repositories_versions_create**](PulpApi.md#repositories_versions_create) | **POST** {repository_href}versions/ | 
[**repositories_versions_delete**](PulpApi.md#repositories_versions_delete) | **DELETE** {repository_version_href} | 
[**repositories_versions_list**](PulpApi.md#repositories_versions_list) | **GET** {repository_href}versions/ | 
[**repositories_versions_partial_update**](PulpApi.md#repositories_versions_partial_update) | **PATCH** {repository_version_href} | 
[**repositories_versions_read**](PulpApi.md#repositories_versions_read) | **GET** {repository_version_href} | 
[**repositories_versions_update**](PulpApi.md#repositories_versions_update) | **PUT** {repository_version_href} | 
[**status_list**](PulpApi.md#status_list) | **GET** /pulp/api/v3/status/ | 
[**tasks_cancel**](PulpApi.md#tasks_cancel) | **POST** {task_href}cancel/ | 
[**tasks_delete**](PulpApi.md#tasks_delete) | **DELETE** {task_href} | 
[**tasks_list**](PulpApi.md#tasks_list) | **GET** /pulp/api/v3/tasks/ | 
[**tasks_read**](PulpApi.md#tasks_read) | **GET** {task_href} | 
[**uploads_create**](PulpApi.md#uploads_create) | **POST** /pulp/api/v3/uploads/ | 
[**uploads_create_0**](PulpApi.md#uploads_create_0) | **POST** {upload_href} | 
[**uploads_read**](PulpApi.md#uploads_read) | **GET** /pulp/api/v3/uploads/ | 
[**uploads_read_0**](PulpApi.md#uploads_read_0) | **GET** {upload_href} | 
[**uploads_update**](PulpApi.md#uploads_update) | **PUT** /pulp/api/v3/uploads/ | 
[**uploads_update_0**](PulpApi.md#uploads_update_0) | **PUT** {upload_href} | 
[**workers_list**](PulpApi.md#workers_list) | **GET** /pulp/api/v3/workers/ | 
[**workers_read**](PulpApi.md#workers_read) | **GET** {worker_href} | 


# **artifacts_create**
> Artifact artifacts_create(data)





### Example
```ruby
# load the gem
require 'zest'
# setup authorization
Zest.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = Zest::PulpApi.new

data = Zest::Artifact.new # Artifact | 


begin
  result = api_instance.artifacts_create(data)
  p result
rescue Zest::ApiError => e
  puts "Exception when calling PulpApi->artifacts_create: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **data** | [**Artifact**](Artifact.md)|  | 

### Return type

[**Artifact**](Artifact.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **artifacts_delete**
> artifacts_delete(artifact_href)



Remove Artifact only if it is not associated with any Content.

### Example
```ruby
# load the gem
require 'zest'
# setup authorization
Zest.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = Zest::PulpApi.new

artifact_href = "artifact_href_example" # String | URI of Artifact. e.g.: /pulp/api/v3/artifacts/1/


begin
  api_instance.artifacts_delete(artifact_href)
rescue Zest::ApiError => e
  puts "Exception when calling PulpApi->artifacts_delete: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **artifact_href** | **String**| URI of Artifact. e.g.: /pulp/api/v3/artifacts/1/ | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **artifacts_list**
> InlineResponse200 artifacts_list(opts)





### Example
```ruby
# load the gem
require 'zest'
# setup authorization
Zest.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = Zest::PulpApi.new

opts = { 
  md5: "md5_example", # String | Filter results where md5 matches value
  sha1: "sha1_example", # String | Filter results where sha1 matches value
  sha224: "sha224_example", # String | Filter results where sha224 matches value
  sha256: "sha256_example", # String | Filter results where sha256 matches value
  sha384: "sha384_example", # String | Filter results where sha384 matches value
  sha512: "sha512_example", # String | Filter results where sha512 matches value
  page: 56, # Integer | A page number within the paginated result set.
  page_size: 56 # Integer | Number of results to return per page.
}

begin
  result = api_instance.artifacts_list(opts)
  p result
rescue Zest::ApiError => e
  puts "Exception when calling PulpApi->artifacts_list: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **md5** | **String**| Filter results where md5 matches value | [optional] 
 **sha1** | **String**| Filter results where sha1 matches value | [optional] 
 **sha224** | **String**| Filter results where sha224 matches value | [optional] 
 **sha256** | **String**| Filter results where sha256 matches value | [optional] 
 **sha384** | **String**| Filter results where sha384 matches value | [optional] 
 **sha512** | **String**| Filter results where sha512 matches value | [optional] 
 **page** | **Integer**| A page number within the paginated result set. | [optional] 
 **page_size** | **Integer**| Number of results to return per page. | [optional] 

### Return type

[**InlineResponse200**](InlineResponse200.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **artifacts_read**
> Artifact artifacts_read(artifact_href)





### Example
```ruby
# load the gem
require 'zest'
# setup authorization
Zest.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = Zest::PulpApi.new

artifact_href = "artifact_href_example" # String | URI of Artifact. e.g.: /pulp/api/v3/artifacts/1/


begin
  result = api_instance.artifacts_read(artifact_href)
  p result
rescue Zest::ApiError => e
  puts "Exception when calling PulpApi->artifacts_read: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **artifact_href** | **String**| URI of Artifact. e.g.: /pulp/api/v3/artifacts/1/ | 

### Return type

[**Artifact**](Artifact.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **content_file_files_create**
> FileContent content_file_files_create(data)



ViewSet for FileContent.

### Example
```ruby
# load the gem
require 'zest'
# setup authorization
Zest.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = Zest::PulpApi.new

data = Zest::FileContent.new # FileContent | 


begin
  result = api_instance.content_file_files_create(data)
  p result
rescue Zest::ApiError => e
  puts "Exception when calling PulpApi->content_file_files_create: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **data** | [**FileContent**](FileContent.md)|  | 

### Return type

[**FileContent**](FileContent.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **content_file_files_list**
> InlineResponse2001 content_file_files_list(opts)



ViewSet for FileContent.

### Example
```ruby
# load the gem
require 'zest'
# setup authorization
Zest.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = Zest::PulpApi.new

opts = { 
  relative_path: "relative_path_example", # String | Filter results where relative_path matches value
  digest: "digest_example", # String | Filter results where digest matches value
  repository_version: "repository_version_example", # String | Repository Version referenced by HREF
  repository_version_added: "repository_version_added_example", # String | Repository Version referenced by HREF
  repository_version_removed: "repository_version_removed_example", # String | Repository Version referenced by HREF
  page: 56, # Integer | A page number within the paginated result set.
  page_size: 56 # Integer | Number of results to return per page.
}

begin
  result = api_instance.content_file_files_list(opts)
  p result
rescue Zest::ApiError => e
  puts "Exception when calling PulpApi->content_file_files_list: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **relative_path** | **String**| Filter results where relative_path matches value | [optional] 
 **digest** | **String**| Filter results where digest matches value | [optional] 
 **repository_version** | **String**| Repository Version referenced by HREF | [optional] 
 **repository_version_added** | **String**| Repository Version referenced by HREF | [optional] 
 **repository_version_removed** | **String**| Repository Version referenced by HREF | [optional] 
 **page** | **Integer**| A page number within the paginated result set. | [optional] 
 **page_size** | **Integer**| Number of results to return per page. | [optional] 

### Return type

[**InlineResponse2001**](InlineResponse2001.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **content_file_files_read**
> FileContent content_file_files_read(file_content_href)



ViewSet for FileContent.

### Example
```ruby
# load the gem
require 'zest'
# setup authorization
Zest.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = Zest::PulpApi.new

file_content_href = "file_content_href_example" # String | URI of File Content. e.g.: /pulp/api/v3/content/file/files/1/


begin
  result = api_instance.content_file_files_read(file_content_href)
  p result
rescue Zest::ApiError => e
  puts "Exception when calling PulpApi->content_file_files_read: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **file_content_href** | **String**| URI of File Content. e.g.: /pulp/api/v3/content/file/files/1/ | 

### Return type

[**FileContent**](FileContent.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **distributions_create**
> AsyncOperationResponse distributions_create(data)



Trigger an asynchronous create task

### Example
```ruby
# load the gem
require 'zest'
# setup authorization
Zest.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = Zest::PulpApi.new

data = Zest::Distribution.new # Distribution | 


begin
  result = api_instance.distributions_create(data)
  p result
rescue Zest::ApiError => e
  puts "Exception when calling PulpApi->distributions_create: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **data** | [**Distribution**](Distribution.md)|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **distributions_delete**
> distributions_delete(distribution_href, )



Provides read and list methods and also provides asynchronous CUD methods to dispatch tasks with reservation that lock all Distributions preventing race conditions during base_path checking.

### Example
```ruby
# load the gem
require 'zest'
# setup authorization
Zest.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = Zest::PulpApi.new

distribution_href = "distribution_href_example" # String | URI of Distribution. e.g.: /pulp/api/v3/distributions/1/


begin
  api_instance.distributions_delete(distribution_href, )
rescue Zest::ApiError => e
  puts "Exception when calling PulpApi->distributions_delete: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **distribution_href** | **String**| URI of Distribution. e.g.: /pulp/api/v3/distributions/1/ | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **distributions_list**
> InlineResponse2002 distributions_list(opts)



Provides read and list methods and also provides asynchronous CUD methods to dispatch tasks with reservation that lock all Distributions preventing race conditions during base_path checking.

### Example
```ruby
# load the gem
require 'zest'
# setup authorization
Zest.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = Zest::PulpApi.new

opts = { 
  name: "name_example", # String | 
  name__in: "name__in_example", # String | Filter results where name is in a comma-separated list of values
  base_path: "base_path_example", # String | 
  base_path__contains: "base_path__contains_example", # String | Filter results where base_path contains value
  base_path__icontains: "base_path__icontains_example", # String | Filter results where base_path contains value
  base_path__in: "base_path__in_example", # String | Filter results where base_path is in a comma-separated list of values
  page: 56, # Integer | A page number within the paginated result set.
  page_size: 56 # Integer | Number of results to return per page.
}

begin
  result = api_instance.distributions_list(opts)
  p result
rescue Zest::ApiError => e
  puts "Exception when calling PulpApi->distributions_list: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **name** | **String**|  | [optional] 
 **name__in** | **String**| Filter results where name is in a comma-separated list of values | [optional] 
 **base_path** | **String**|  | [optional] 
 **base_path__contains** | **String**| Filter results where base_path contains value | [optional] 
 **base_path__icontains** | **String**| Filter results where base_path contains value | [optional] 
 **base_path__in** | **String**| Filter results where base_path is in a comma-separated list of values | [optional] 
 **page** | **Integer**| A page number within the paginated result set. | [optional] 
 **page_size** | **Integer**| Number of results to return per page. | [optional] 

### Return type

[**InlineResponse2002**](InlineResponse2002.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **distributions_partial_update**
> AsyncOperationResponse distributions_partial_update(distribution_href, data)



Trigger an asynchronous partial update task

### Example
```ruby
# load the gem
require 'zest'
# setup authorization
Zest.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = Zest::PulpApi.new

distribution_href = "distribution_href_example" # String | URI of Distribution. e.g.: /pulp/api/v3/distributions/1/

data = Zest::Distribution.new # Distribution | 


begin
  result = api_instance.distributions_partial_update(distribution_href, data)
  p result
rescue Zest::ApiError => e
  puts "Exception when calling PulpApi->distributions_partial_update: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **distribution_href** | **String**| URI of Distribution. e.g.: /pulp/api/v3/distributions/1/ | 
 **data** | [**Distribution**](Distribution.md)|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **distributions_read**
> Distribution distributions_read(distribution_href, )



Provides read and list methods and also provides asynchronous CUD methods to dispatch tasks with reservation that lock all Distributions preventing race conditions during base_path checking.

### Example
```ruby
# load the gem
require 'zest'
# setup authorization
Zest.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = Zest::PulpApi.new

distribution_href = "distribution_href_example" # String | URI of Distribution. e.g.: /pulp/api/v3/distributions/1/


begin
  result = api_instance.distributions_read(distribution_href, )
  p result
rescue Zest::ApiError => e
  puts "Exception when calling PulpApi->distributions_read: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **distribution_href** | **String**| URI of Distribution. e.g.: /pulp/api/v3/distributions/1/ | 

### Return type

[**Distribution**](Distribution.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **distributions_update**
> AsyncOperationResponse distributions_update(distribution_href, data)



Trigger an asynchronous update task

### Example
```ruby
# load the gem
require 'zest'
# setup authorization
Zest.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = Zest::PulpApi.new

distribution_href = "distribution_href_example" # String | URI of Distribution. e.g.: /pulp/api/v3/distributions/1/

data = Zest::Distribution.new # Distribution | 


begin
  result = api_instance.distributions_update(distribution_href, data)
  p result
rescue Zest::ApiError => e
  puts "Exception when calling PulpApi->distributions_update: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **distribution_href** | **String**| URI of Distribution. e.g.: /pulp/api/v3/distributions/1/ | 
 **data** | [**Distribution**](Distribution.md)|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **orphans_delete**
> orphans_delete



Cleans up all the Content and Artifact orphans in the system

### Example
```ruby
# load the gem
require 'zest'
# setup authorization
Zest.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = Zest::PulpApi.new

begin
  api_instance.orphans_delete
rescue Zest::ApiError => e
  puts "Exception when calling PulpApi->orphans_delete: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **publications_delete**
> publications_delete(publication_href)





### Example
```ruby
# load the gem
require 'zest'
# setup authorization
Zest.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = Zest::PulpApi.new

publication_href = "publication_href_example" # String | URI of Publication. e.g.: /pulp/api/v3/publications/1/


begin
  api_instance.publications_delete(publication_href)
rescue Zest::ApiError => e
  puts "Exception when calling PulpApi->publications_delete: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **publication_href** | **String**| URI of Publication. e.g.: /pulp/api/v3/publications/1/ | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **publications_list**
> InlineResponse2003 publications_list(opts)





### Example
```ruby
# load the gem
require 'zest'
# setup authorization
Zest.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = Zest::PulpApi.new

opts = { 
  ordering: "ordering_example", # String | Which field to use when ordering the results.
  page: 56, # Integer | A page number within the paginated result set.
  page_size: 56 # Integer | Number of results to return per page.
}

begin
  result = api_instance.publications_list(opts)
  p result
rescue Zest::ApiError => e
  puts "Exception when calling PulpApi->publications_list: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ordering** | **String**| Which field to use when ordering the results. | [optional] 
 **page** | **Integer**| A page number within the paginated result set. | [optional] 
 **page_size** | **Integer**| Number of results to return per page. | [optional] 

### Return type

[**InlineResponse2003**](InlineResponse2003.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **publications_read**
> Publication publications_read(publication_href)





### Example
```ruby
# load the gem
require 'zest'
# setup authorization
Zest.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = Zest::PulpApi.new

publication_href = "publication_href_example" # String | URI of Publication. e.g.: /pulp/api/v3/publications/1/


begin
  result = api_instance.publications_read(publication_href)
  p result
rescue Zest::ApiError => e
  puts "Exception when calling PulpApi->publications_read: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **publication_href** | **String**| URI of Publication. e.g.: /pulp/api/v3/publications/1/ | 

### Return type

[**Publication**](Publication.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **publishers_file_file_create**
> FilePublisher publishers_file_file_create(data)



ViewSet for File Publishers.

### Example
```ruby
# load the gem
require 'zest'
# setup authorization
Zest.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = Zest::PulpApi.new

data = Zest::FilePublisher.new # FilePublisher | 


begin
  result = api_instance.publishers_file_file_create(data)
  p result
rescue Zest::ApiError => e
  puts "Exception when calling PulpApi->publishers_file_file_create: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **data** | [**FilePublisher**](FilePublisher.md)|  | 

### Return type

[**FilePublisher**](FilePublisher.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **publishers_file_file_delete**
> AsyncOperationResponse publishers_file_file_delete(file_publisher_href, )



Trigger an asynchronous delete task

### Example
```ruby
# load the gem
require 'zest'
# setup authorization
Zest.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = Zest::PulpApi.new

file_publisher_href = "file_publisher_href_example" # String | URI of File Publisher. e.g.: /pulp/api/v3/publishers/file/file/1/


begin
  result = api_instance.publishers_file_file_delete(file_publisher_href, )
  p result
rescue Zest::ApiError => e
  puts "Exception when calling PulpApi->publishers_file_file_delete: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **file_publisher_href** | **String**| URI of File Publisher. e.g.: /pulp/api/v3/publishers/file/file/1/ | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **publishers_file_file_list**
> InlineResponse2004 publishers_file_file_list(opts)



ViewSet for File Publishers.

### Example
```ruby
# load the gem
require 'zest'
# setup authorization
Zest.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = Zest::PulpApi.new

opts = { 
  name: "name_example", # String | 
  name__in: "name__in_example", # String | Filter results where name is in a comma-separated list of values
  _last_updated__lt: "_last_updated__lt_example", # String | Filter results where _last_updated is less than value
  _last_updated__lte: "_last_updated__lte_example", # String | Filter results where _last_updated is less than or equal to value
  _last_updated__gt: "_last_updated__gt_example", # String | Filter results where _last_updated is greater than value
  _last_updated__gte: "_last_updated__gte_example", # String | Filter results where _last_updated is greater than or equal to value
  _last_updated__range: "_last_updated__range_example", # String | Filter results where _last_updated is between two comma separated values
  _last_updated: "_last_updated_example", # String | ISO 8601 formatted dates are supported
  page: 56, # Integer | A page number within the paginated result set.
  page_size: 56 # Integer | Number of results to return per page.
}

begin
  result = api_instance.publishers_file_file_list(opts)
  p result
rescue Zest::ApiError => e
  puts "Exception when calling PulpApi->publishers_file_file_list: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **name** | **String**|  | [optional] 
 **name__in** | **String**| Filter results where name is in a comma-separated list of values | [optional] 
 **_last_updated__lt** | **String**| Filter results where _last_updated is less than value | [optional] 
 **_last_updated__lte** | **String**| Filter results where _last_updated is less than or equal to value | [optional] 
 **_last_updated__gt** | **String**| Filter results where _last_updated is greater than value | [optional] 
 **_last_updated__gte** | **String**| Filter results where _last_updated is greater than or equal to value | [optional] 
 **_last_updated__range** | **String**| Filter results where _last_updated is between two comma separated values | [optional] 
 **_last_updated** | **String**| ISO 8601 formatted dates are supported | [optional] 
 **page** | **Integer**| A page number within the paginated result set. | [optional] 
 **page_size** | **Integer**| Number of results to return per page. | [optional] 

### Return type

[**InlineResponse2004**](InlineResponse2004.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **publishers_file_file_partial_update**
> AsyncOperationResponse publishers_file_file_partial_update(file_publisher_href, data)



Trigger an asynchronous partial update task

### Example
```ruby
# load the gem
require 'zest'
# setup authorization
Zest.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = Zest::PulpApi.new

file_publisher_href = "file_publisher_href_example" # String | URI of File Publisher. e.g.: /pulp/api/v3/publishers/file/file/1/

data = Zest::FilePublisher.new # FilePublisher | 


begin
  result = api_instance.publishers_file_file_partial_update(file_publisher_href, data)
  p result
rescue Zest::ApiError => e
  puts "Exception when calling PulpApi->publishers_file_file_partial_update: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **file_publisher_href** | **String**| URI of File Publisher. e.g.: /pulp/api/v3/publishers/file/file/1/ | 
 **data** | [**FilePublisher**](FilePublisher.md)|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **publishers_file_file_publish**
> AsyncOperationResponse publishers_file_file_publish(file_publisher_href, data)



Trigger an asynchronous task to publish file content.

### Example
```ruby
# load the gem
require 'zest'
# setup authorization
Zest.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = Zest::PulpApi.new

file_publisher_href = "file_publisher_href_example" # String | URI of File Publisher. e.g.: /pulp/api/v3/publishers/file/file/1/

data = Zest::RepositoryPublishURL.new # RepositoryPublishURL | 


begin
  result = api_instance.publishers_file_file_publish(file_publisher_href, data)
  p result
rescue Zest::ApiError => e
  puts "Exception when calling PulpApi->publishers_file_file_publish: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **file_publisher_href** | **String**| URI of File Publisher. e.g.: /pulp/api/v3/publishers/file/file/1/ | 
 **data** | [**RepositoryPublishURL**](RepositoryPublishURL.md)|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **publishers_file_file_read**
> FilePublisher publishers_file_file_read(file_publisher_href, )



ViewSet for File Publishers.

### Example
```ruby
# load the gem
require 'zest'
# setup authorization
Zest.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = Zest::PulpApi.new

file_publisher_href = "file_publisher_href_example" # String | URI of File Publisher. e.g.: /pulp/api/v3/publishers/file/file/1/


begin
  result = api_instance.publishers_file_file_read(file_publisher_href, )
  p result
rescue Zest::ApiError => e
  puts "Exception when calling PulpApi->publishers_file_file_read: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **file_publisher_href** | **String**| URI of File Publisher. e.g.: /pulp/api/v3/publishers/file/file/1/ | 

### Return type

[**FilePublisher**](FilePublisher.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **publishers_file_file_update**
> AsyncOperationResponse publishers_file_file_update(file_publisher_href, data)



Trigger an asynchronous update task

### Example
```ruby
# load the gem
require 'zest'
# setup authorization
Zest.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = Zest::PulpApi.new

file_publisher_href = "file_publisher_href_example" # String | URI of File Publisher. e.g.: /pulp/api/v3/publishers/file/file/1/

data = Zest::FilePublisher.new # FilePublisher | 


begin
  result = api_instance.publishers_file_file_update(file_publisher_href, data)
  p result
rescue Zest::ApiError => e
  puts "Exception when calling PulpApi->publishers_file_file_update: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **file_publisher_href** | **String**| URI of File Publisher. e.g.: /pulp/api/v3/publishers/file/file/1/ | 
 **data** | [**FilePublisher**](FilePublisher.md)|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **remotes_file_file_create**
> FileRemote remotes_file_file_create(data)



ViewSet for File Remotes.

### Example
```ruby
# load the gem
require 'zest'
# setup authorization
Zest.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = Zest::PulpApi.new

data = Zest::FileRemote.new # FileRemote | 


begin
  result = api_instance.remotes_file_file_create(data)
  p result
rescue Zest::ApiError => e
  puts "Exception when calling PulpApi->remotes_file_file_create: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **data** | [**FileRemote**](FileRemote.md)|  | 

### Return type

[**FileRemote**](FileRemote.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **remotes_file_file_delete**
> AsyncOperationResponse remotes_file_file_delete(file_remote_href, )



Trigger an asynchronous delete task

### Example
```ruby
# load the gem
require 'zest'
# setup authorization
Zest.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = Zest::PulpApi.new

file_remote_href = "file_remote_href_example" # String | URI of File Remote. e.g.: /pulp/api/v3/remotes/file/file/1/


begin
  result = api_instance.remotes_file_file_delete(file_remote_href, )
  p result
rescue Zest::ApiError => e
  puts "Exception when calling PulpApi->remotes_file_file_delete: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **file_remote_href** | **String**| URI of File Remote. e.g.: /pulp/api/v3/remotes/file/file/1/ | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **remotes_file_file_list**
> InlineResponse2005 remotes_file_file_list(opts)



ViewSet for File Remotes.

### Example
```ruby
# load the gem
require 'zest'
# setup authorization
Zest.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = Zest::PulpApi.new

opts = { 
  name: "name_example", # String | 
  name__in: "name__in_example", # String | Filter results where name is in a comma-separated list of values
  _last_updated__lt: "_last_updated__lt_example", # String | Filter results where _last_updated is less than value
  _last_updated__lte: "_last_updated__lte_example", # String | Filter results where _last_updated is less than or equal to value
  _last_updated__gt: "_last_updated__gt_example", # String | Filter results where _last_updated is greater than value
  _last_updated__gte: "_last_updated__gte_example", # String | Filter results where _last_updated is greater than or equal to value
  _last_updated__range: "_last_updated__range_example", # String | Filter results where _last_updated is between two comma separated values
  _last_updated: "_last_updated_example", # String | ISO 8601 formatted dates are supported
  page: 56, # Integer | A page number within the paginated result set.
  page_size: 56 # Integer | Number of results to return per page.
}

begin
  result = api_instance.remotes_file_file_list(opts)
  p result
rescue Zest::ApiError => e
  puts "Exception when calling PulpApi->remotes_file_file_list: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **name** | **String**|  | [optional] 
 **name__in** | **String**| Filter results where name is in a comma-separated list of values | [optional] 
 **_last_updated__lt** | **String**| Filter results where _last_updated is less than value | [optional] 
 **_last_updated__lte** | **String**| Filter results where _last_updated is less than or equal to value | [optional] 
 **_last_updated__gt** | **String**| Filter results where _last_updated is greater than value | [optional] 
 **_last_updated__gte** | **String**| Filter results where _last_updated is greater than or equal to value | [optional] 
 **_last_updated__range** | **String**| Filter results where _last_updated is between two comma separated values | [optional] 
 **_last_updated** | **String**| ISO 8601 formatted dates are supported | [optional] 
 **page** | **Integer**| A page number within the paginated result set. | [optional] 
 **page_size** | **Integer**| Number of results to return per page. | [optional] 

### Return type

[**InlineResponse2005**](InlineResponse2005.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **remotes_file_file_partial_update**
> AsyncOperationResponse remotes_file_file_partial_update(file_remote_href, data)



Trigger an asynchronous partial update task

### Example
```ruby
# load the gem
require 'zest'
# setup authorization
Zest.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = Zest::PulpApi.new

file_remote_href = "file_remote_href_example" # String | URI of File Remote. e.g.: /pulp/api/v3/remotes/file/file/1/

data = Zest::FileRemote.new # FileRemote | 


begin
  result = api_instance.remotes_file_file_partial_update(file_remote_href, data)
  p result
rescue Zest::ApiError => e
  puts "Exception when calling PulpApi->remotes_file_file_partial_update: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **file_remote_href** | **String**| URI of File Remote. e.g.: /pulp/api/v3/remotes/file/file/1/ | 
 **data** | [**FileRemote**](FileRemote.md)|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **remotes_file_file_read**
> FileRemote remotes_file_file_read(file_remote_href, )



ViewSet for File Remotes.

### Example
```ruby
# load the gem
require 'zest'
# setup authorization
Zest.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = Zest::PulpApi.new

file_remote_href = "file_remote_href_example" # String | URI of File Remote. e.g.: /pulp/api/v3/remotes/file/file/1/


begin
  result = api_instance.remotes_file_file_read(file_remote_href, )
  p result
rescue Zest::ApiError => e
  puts "Exception when calling PulpApi->remotes_file_file_read: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **file_remote_href** | **String**| URI of File Remote. e.g.: /pulp/api/v3/remotes/file/file/1/ | 

### Return type

[**FileRemote**](FileRemote.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **remotes_file_file_sync**
> AsyncOperationResponse remotes_file_file_sync(file_remote_href, data)



Trigger an asynchronous task to sync file content.

### Example
```ruby
# load the gem
require 'zest'
# setup authorization
Zest.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = Zest::PulpApi.new

file_remote_href = "file_remote_href_example" # String | URI of File Remote. e.g.: /pulp/api/v3/remotes/file/file/1/

data = Zest::RepositorySyncURL.new # RepositorySyncURL | 


begin
  result = api_instance.remotes_file_file_sync(file_remote_href, data)
  p result
rescue Zest::ApiError => e
  puts "Exception when calling PulpApi->remotes_file_file_sync: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **file_remote_href** | **String**| URI of File Remote. e.g.: /pulp/api/v3/remotes/file/file/1/ | 
 **data** | [**RepositorySyncURL**](RepositorySyncURL.md)|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **remotes_file_file_update**
> AsyncOperationResponse remotes_file_file_update(file_remote_href, data)



Trigger an asynchronous update task

### Example
```ruby
# load the gem
require 'zest'
# setup authorization
Zest.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = Zest::PulpApi.new

file_remote_href = "file_remote_href_example" # String | URI of File Remote. e.g.: /pulp/api/v3/remotes/file/file/1/

data = Zest::FileRemote.new # FileRemote | 


begin
  result = api_instance.remotes_file_file_update(file_remote_href, data)
  p result
rescue Zest::ApiError => e
  puts "Exception when calling PulpApi->remotes_file_file_update: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **file_remote_href** | **String**| URI of File Remote. e.g.: /pulp/api/v3/remotes/file/file/1/ | 
 **data** | [**FileRemote**](FileRemote.md)|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **repositories_create**
> Repository repositories_create(data)





### Example
```ruby
# load the gem
require 'zest'
# setup authorization
Zest.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = Zest::PulpApi.new

data = Zest::Repository.new # Repository | 


begin
  result = api_instance.repositories_create(data)
  p result
rescue Zest::ApiError => e
  puts "Exception when calling PulpApi->repositories_create: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **data** | [**Repository**](Repository.md)|  | 

### Return type

[**Repository**](Repository.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **repositories_delete**
> AsyncOperationResponse repositories_delete(repository_href, )



Trigger an asynchronous task to delete a repository.

### Example
```ruby
# load the gem
require 'zest'
# setup authorization
Zest.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = Zest::PulpApi.new

repository_href = "repository_href_example" # String | URI of Repository. e.g.: /pulp/api/v3/repositories/1/


begin
  result = api_instance.repositories_delete(repository_href, )
  p result
rescue Zest::ApiError => e
  puts "Exception when calling PulpApi->repositories_delete: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **repository_href** | **String**| URI of Repository. e.g.: /pulp/api/v3/repositories/1/ | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **repositories_list**
> InlineResponse2006 repositories_list(opts)





### Example
```ruby
# load the gem
require 'zest'
# setup authorization
Zest.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = Zest::PulpApi.new

opts = { 
  name: "name_example", # String | 
  name__in: "name__in_example", # String | Filter results where name is in a comma-separated list of values
  page: 56, # Integer | A page number within the paginated result set.
  page_size: 56 # Integer | Number of results to return per page.
}

begin
  result = api_instance.repositories_list(opts)
  p result
rescue Zest::ApiError => e
  puts "Exception when calling PulpApi->repositories_list: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **name** | **String**|  | [optional] 
 **name__in** | **String**| Filter results where name is in a comma-separated list of values | [optional] 
 **page** | **Integer**| A page number within the paginated result set. | [optional] 
 **page_size** | **Integer**| Number of results to return per page. | [optional] 

### Return type

[**InlineResponse2006**](InlineResponse2006.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **repositories_partial_update**
> Repository repositories_partial_update(repository_href, data)





### Example
```ruby
# load the gem
require 'zest'
# setup authorization
Zest.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = Zest::PulpApi.new

repository_href = "repository_href_example" # String | URI of Repository. e.g.: /pulp/api/v3/repositories/1/

data = Zest::Repository.new # Repository | 


begin
  result = api_instance.repositories_partial_update(repository_href, data)
  p result
rescue Zest::ApiError => e
  puts "Exception when calling PulpApi->repositories_partial_update: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **repository_href** | **String**| URI of Repository. e.g.: /pulp/api/v3/repositories/1/ | 
 **data** | [**Repository**](Repository.md)|  | 

### Return type

[**Repository**](Repository.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **repositories_read**
> Repository repositories_read(repository_href, )





### Example
```ruby
# load the gem
require 'zest'
# setup authorization
Zest.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = Zest::PulpApi.new

repository_href = "repository_href_example" # String | URI of Repository. e.g.: /pulp/api/v3/repositories/1/


begin
  result = api_instance.repositories_read(repository_href, )
  p result
rescue Zest::ApiError => e
  puts "Exception when calling PulpApi->repositories_read: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **repository_href** | **String**| URI of Repository. e.g.: /pulp/api/v3/repositories/1/ | 

### Return type

[**Repository**](Repository.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **repositories_update**
> AsyncOperationResponse repositories_update(repository_href, data)



Trigger an asynchronous task to updatea repository.

### Example
```ruby
# load the gem
require 'zest'
# setup authorization
Zest.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = Zest::PulpApi.new

repository_href = "repository_href_example" # String | URI of Repository. e.g.: /pulp/api/v3/repositories/1/

data = Zest::Repository.new # Repository | 


begin
  result = api_instance.repositories_update(repository_href, data)
  p result
rescue Zest::ApiError => e
  puts "Exception when calling PulpApi->repositories_update: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **repository_href** | **String**| URI of Repository. e.g.: /pulp/api/v3/repositories/1/ | 
 **data** | [**Repository**](Repository.md)|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **repositories_versions_create**
> AsyncOperationResponse repositories_versions_create(repository_href, data)



Trigger an asynchronous task to create a new repository version.

### Example
```ruby
# load the gem
require 'zest'
# setup authorization
Zest.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = Zest::PulpApi.new

repository_href = "repository_href_example" # String | URI of Repository. e.g.: /pulp/api/v3/repositories/1/

data = Zest::RepositoryVersionCreate.new # RepositoryVersionCreate | 


begin
  result = api_instance.repositories_versions_create(repository_href, data)
  p result
rescue Zest::ApiError => e
  puts "Exception when calling PulpApi->repositories_versions_create: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **repository_href** | **String**| URI of Repository. e.g.: /pulp/api/v3/repositories/1/ | 
 **data** | [**RepositoryVersionCreate**](RepositoryVersionCreate.md)|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **repositories_versions_delete**
> AsyncOperationResponse repositories_versions_delete(repository_version_href, )



Trigger an asynchronous task to delete a repositroy version.

### Example
```ruby
# load the gem
require 'zest'
# setup authorization
Zest.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = Zest::PulpApi.new

repository_version_href = "repository_version_href_example" # String | URI of Repository Version. e.g.: /pulp/api/v3/repositories/1/versions/1/


begin
  result = api_instance.repositories_versions_delete(repository_version_href, )
  p result
rescue Zest::ApiError => e
  puts "Exception when calling PulpApi->repositories_versions_delete: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **repository_version_href** | **String**| URI of Repository Version. e.g.: /pulp/api/v3/repositories/1/versions/1/ | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **repositories_versions_list**
> InlineResponse2007 repositories_versions_list(repository_href, , opts)





### Example
```ruby
# load the gem
require 'zest'
# setup authorization
Zest.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = Zest::PulpApi.new

repository_href = "repository_href_example" # String | URI of Repository. e.g.: /pulp/api/v3/repositories/1/

opts = { 
  ordering: "ordering_example", # String | Which field to use when ordering the results.
  number: 8.14, # Float | 
  number__lt: 8.14, # Float | Filter results where number is less than value
  number__lte: 8.14, # Float | Filter results where number is less than or equal to value
  number__gt: 8.14, # Float | Filter results where number is greater than value
  number__gte: 8.14, # Float | Filter results where number is greater than or equal to value
  number__range: 8.14, # Float | Filter results where number is between two comma separated values
  _created__lt: "_created__lt_example", # String | Filter results where _created is less than value
  _created__lte: "_created__lte_example", # String | Filter results where _created is less than or equal to value
  _created__gt: "_created__gt_example", # String | Filter results where _created is greater than value
  _created__gte: "_created__gte_example", # String | Filter results where _created is greater than or equal to value
  _created__range: "_created__range_example", # String | Filter results where _created is between two comma separated values
  content: "content_example", # String | Content Unit referenced by HREF
  _created: "_created_example", # String | ISO 8601 formatted dates are supported
  page: 56, # Integer | A page number within the paginated result set.
  page_size: 56 # Integer | Number of results to return per page.
}

begin
  result = api_instance.repositories_versions_list(repository_href, , opts)
  p result
rescue Zest::ApiError => e
  puts "Exception when calling PulpApi->repositories_versions_list: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **repository_href** | **String**| URI of Repository. e.g.: /pulp/api/v3/repositories/1/ | 
 **ordering** | **String**| Which field to use when ordering the results. | [optional] 
 **number** | **Float**|  | [optional] 
 **number__lt** | **Float**| Filter results where number is less than value | [optional] 
 **number__lte** | **Float**| Filter results where number is less than or equal to value | [optional] 
 **number__gt** | **Float**| Filter results where number is greater than value | [optional] 
 **number__gte** | **Float**| Filter results where number is greater than or equal to value | [optional] 
 **number__range** | **Float**| Filter results where number is between two comma separated values | [optional] 
 **_created__lt** | **String**| Filter results where _created is less than value | [optional] 
 **_created__lte** | **String**| Filter results where _created is less than or equal to value | [optional] 
 **_created__gt** | **String**| Filter results where _created is greater than value | [optional] 
 **_created__gte** | **String**| Filter results where _created is greater than or equal to value | [optional] 
 **_created__range** | **String**| Filter results where _created is between two comma separated values | [optional] 
 **content** | **String**| Content Unit referenced by HREF | [optional] 
 **_created** | **String**| ISO 8601 formatted dates are supported | [optional] 
 **page** | **Integer**| A page number within the paginated result set. | [optional] 
 **page_size** | **Integer**| Number of results to return per page. | [optional] 

### Return type

[**InlineResponse2007**](InlineResponse2007.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **repositories_versions_partial_update**
> RepositoryVersion repositories_versions_partial_update(repository_version_href, data)





### Example
```ruby
# load the gem
require 'zest'
# setup authorization
Zest.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = Zest::PulpApi.new

repository_version_href = "repository_version_href_example" # String | URI of Repository Version. e.g.: /pulp/api/v3/repositories/1/versions/1/

data = Zest::RepositoryVersion.new # RepositoryVersion | 


begin
  result = api_instance.repositories_versions_partial_update(repository_version_href, data)
  p result
rescue Zest::ApiError => e
  puts "Exception when calling PulpApi->repositories_versions_partial_update: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **repository_version_href** | **String**| URI of Repository Version. e.g.: /pulp/api/v3/repositories/1/versions/1/ | 
 **data** | [**RepositoryVersion**](RepositoryVersion.md)|  | 

### Return type

[**RepositoryVersion**](RepositoryVersion.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **repositories_versions_read**
> RepositoryVersion repositories_versions_read(repository_version_href, )





### Example
```ruby
# load the gem
require 'zest'
# setup authorization
Zest.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = Zest::PulpApi.new

repository_version_href = "repository_version_href_example" # String | URI of Repository Version. e.g.: /pulp/api/v3/repositories/1/versions/1/


begin
  result = api_instance.repositories_versions_read(repository_version_href, )
  p result
rescue Zest::ApiError => e
  puts "Exception when calling PulpApi->repositories_versions_read: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **repository_version_href** | **String**| URI of Repository Version. e.g.: /pulp/api/v3/repositories/1/versions/1/ | 

### Return type

[**RepositoryVersion**](RepositoryVersion.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **repositories_versions_update**
> RepositoryVersion repositories_versions_update(repository_version_href, data)





### Example
```ruby
# load the gem
require 'zest'
# setup authorization
Zest.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = Zest::PulpApi.new

repository_version_href = "repository_version_href_example" # String | URI of Repository Version. e.g.: /pulp/api/v3/repositories/1/versions/1/

data = Zest::RepositoryVersion.new # RepositoryVersion | 


begin
  result = api_instance.repositories_versions_update(repository_version_href, data)
  p result
rescue Zest::ApiError => e
  puts "Exception when calling PulpApi->repositories_versions_update: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **repository_version_href** | **String**| URI of Repository Version. e.g.: /pulp/api/v3/repositories/1/versions/1/ | 
 **data** | [**RepositoryVersion**](RepositoryVersion.md)|  | 

### Return type

[**RepositoryVersion**](RepositoryVersion.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **status_list**
> status_list



Returns app information including the version of pulpcore and loaded pulp plugins, known workers, database connection status, and messaging connection status

### Example
```ruby
# load the gem
require 'zest'
# setup authorization
Zest.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = Zest::PulpApi.new

begin
  api_instance.status_list
rescue Zest::ApiError => e
  puts "Exception when calling PulpApi->status_list: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **tasks_cancel**
> Task tasks_cancel(task_href, data)





### Example
```ruby
# load the gem
require 'zest'
# setup authorization
Zest.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = Zest::PulpApi.new

task_href = "task_href_example" # String | URI of Task. e.g.: /pulp/api/v3/tasks/1/

data = Zest::Task.new # Task | 


begin
  result = api_instance.tasks_cancel(task_href, data)
  p result
rescue Zest::ApiError => e
  puts "Exception when calling PulpApi->tasks_cancel: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **task_href** | **String**| URI of Task. e.g.: /pulp/api/v3/tasks/1/ | 
 **data** | [**Task**](Task.md)|  | 

### Return type

[**Task**](Task.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **tasks_delete**
> tasks_delete(task_href)





### Example
```ruby
# load the gem
require 'zest'
# setup authorization
Zest.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = Zest::PulpApi.new

task_href = "task_href_example" # String | URI of Task. e.g.: /pulp/api/v3/tasks/1/


begin
  api_instance.tasks_delete(task_href)
rescue Zest::ApiError => e
  puts "Exception when calling PulpApi->tasks_delete: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **task_href** | **String**| URI of Task. e.g.: /pulp/api/v3/tasks/1/ | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **tasks_list**
> InlineResponse2008 tasks_list(opts)





### Example
```ruby
# load the gem
require 'zest'
# setup authorization
Zest.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = Zest::PulpApi.new

opts = { 
  ordering: "ordering_example", # String | Which field to use when ordering the results.
  state: "state_example", # String | 
  state__in: "state__in_example", # String | Filter results where state is in a comma-separated list of values
  worker: "worker_example", # String | Foreign Key referenced by HREF
  worker__in: "worker__in_example", # String | Filter results where worker is in a comma-separated list of values
  name__contains: "name__contains_example", # String | Filter results where name contains value
  started_at__lt: "started_at__lt_example", # String | Filter results where started_at is less than value
  started_at__lte: "started_at__lte_example", # String | Filter results where started_at is less than or equal to value
  started_at__gt: "started_at__gt_example", # String | Filter results where started_at is greater than value
  started_at__gte: "started_at__gte_example", # String | Filter results where started_at is greater than or equal to value
  started_at__range: "started_at__range_example", # String | Filter results where started_at is between two comma separated values
  finished_at__lt: "finished_at__lt_example", # String | Filter results where finished_at is less than value
  finished_at__lte: "finished_at__lte_example", # String | Filter results where finished_at is less than or equal to value
  finished_at__gt: "finished_at__gt_example", # String | Filter results where finished_at is greater than value
  finished_at__gte: "finished_at__gte_example", # String | Filter results where finished_at is greater than or equal to value
  finished_at__range: "finished_at__range_example", # String | Filter results where finished_at is between two comma separated values
  parent: "parent_example", # String | Foreign Key referenced by HREF
  name: "name_example", # String | 
  started_at: "started_at_example", # String | ISO 8601 formatted dates are supported
  finished_at: "finished_at_example", # String | ISO 8601 formatted dates are supported
  page: 56, # Integer | A page number within the paginated result set.
  page_size: 56 # Integer | Number of results to return per page.
}

begin
  result = api_instance.tasks_list(opts)
  p result
rescue Zest::ApiError => e
  puts "Exception when calling PulpApi->tasks_list: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ordering** | **String**| Which field to use when ordering the results. | [optional] 
 **state** | **String**|  | [optional] 
 **state__in** | **String**| Filter results where state is in a comma-separated list of values | [optional] 
 **worker** | **String**| Foreign Key referenced by HREF | [optional] 
 **worker__in** | **String**| Filter results where worker is in a comma-separated list of values | [optional] 
 **name__contains** | **String**| Filter results where name contains value | [optional] 
 **started_at__lt** | **String**| Filter results where started_at is less than value | [optional] 
 **started_at__lte** | **String**| Filter results where started_at is less than or equal to value | [optional] 
 **started_at__gt** | **String**| Filter results where started_at is greater than value | [optional] 
 **started_at__gte** | **String**| Filter results where started_at is greater than or equal to value | [optional] 
 **started_at__range** | **String**| Filter results where started_at is between two comma separated values | [optional] 
 **finished_at__lt** | **String**| Filter results where finished_at is less than value | [optional] 
 **finished_at__lte** | **String**| Filter results where finished_at is less than or equal to value | [optional] 
 **finished_at__gt** | **String**| Filter results where finished_at is greater than value | [optional] 
 **finished_at__gte** | **String**| Filter results where finished_at is greater than or equal to value | [optional] 
 **finished_at__range** | **String**| Filter results where finished_at is between two comma separated values | [optional] 
 **parent** | **String**| Foreign Key referenced by HREF | [optional] 
 **name** | **String**|  | [optional] 
 **started_at** | **String**| ISO 8601 formatted dates are supported | [optional] 
 **finished_at** | **String**| ISO 8601 formatted dates are supported | [optional] 
 **page** | **Integer**| A page number within the paginated result set. | [optional] 
 **page_size** | **Integer**| Number of results to return per page. | [optional] 

### Return type

[**InlineResponse2008**](InlineResponse2008.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **tasks_read**
> Task tasks_read(task_href)





### Example
```ruby
# load the gem
require 'zest'
# setup authorization
Zest.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = Zest::PulpApi.new

task_href = "task_href_example" # String | URI of Task. e.g.: /pulp/api/v3/tasks/1/


begin
  result = api_instance.tasks_read(task_href)
  p result
rescue Zest::ApiError => e
  puts "Exception when calling PulpApi->tasks_read: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **task_href** | **String**| URI of Task. e.g.: /pulp/api/v3/tasks/1/ | 

### Return type

[**Task**](Task.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **uploads_create**
> Upload uploads_create(data)



Handle POST requests.

### Example
```ruby
# load the gem
require 'zest'
# setup authorization
Zest.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = Zest::PulpApi.new

data = Zest::Upload.new # Upload | 


begin
  result = api_instance.uploads_create(data)
  p result
rescue Zest::ApiError => e
  puts "Exception when calling PulpApi->uploads_create: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **data** | [**Upload**](Upload.md)|  | 

### Return type

[**Upload**](Upload.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **uploads_create_0**
> Upload uploads_create_0(upload_href, data)



Handle POST requests.

### Example
```ruby
# load the gem
require 'zest'
# setup authorization
Zest.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = Zest::PulpApi.new

upload_href = "upload_href_example" # String | URI of Upload. e.g.: /pulp/api/v3/uploads/1/

data = Zest::Upload.new # Upload | 


begin
  result = api_instance.uploads_create_0(upload_href, data)
  p result
rescue Zest::ApiError => e
  puts "Exception when calling PulpApi->uploads_create_0: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **upload_href** | **String**| URI of Upload. e.g.: /pulp/api/v3/uploads/1/ | 
 **data** | [**Upload**](Upload.md)|  | 

### Return type

[**Upload**](Upload.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **uploads_read**
> Upload uploads_read



Handle GET requests.

### Example
```ruby
# load the gem
require 'zest'
# setup authorization
Zest.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = Zest::PulpApi.new

begin
  result = api_instance.uploads_read
  p result
rescue Zest::ApiError => e
  puts "Exception when calling PulpApi->uploads_read: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

[**Upload**](Upload.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **uploads_read_0**
> Upload uploads_read_0(upload_href, )



Handle GET requests.

### Example
```ruby
# load the gem
require 'zest'
# setup authorization
Zest.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = Zest::PulpApi.new

upload_href = "upload_href_example" # String | URI of Upload. e.g.: /pulp/api/v3/uploads/1/


begin
  result = api_instance.uploads_read_0(upload_href, )
  p result
rescue Zest::ApiError => e
  puts "Exception when calling PulpApi->uploads_read_0: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **upload_href** | **String**| URI of Upload. e.g.: /pulp/api/v3/uploads/1/ | 

### Return type

[**Upload**](Upload.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **uploads_update**
> Upload uploads_update(data)



Handle PUT requests.

### Example
```ruby
# load the gem
require 'zest'
# setup authorization
Zest.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = Zest::PulpApi.new

data = Zest::Upload.new # Upload | 


begin
  result = api_instance.uploads_update(data)
  p result
rescue Zest::ApiError => e
  puts "Exception when calling PulpApi->uploads_update: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **data** | [**Upload**](Upload.md)|  | 

### Return type

[**Upload**](Upload.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **uploads_update_0**
> Upload uploads_update_0(upload_href, data)



Handle PUT requests.

### Example
```ruby
# load the gem
require 'zest'
# setup authorization
Zest.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = Zest::PulpApi.new

upload_href = "upload_href_example" # String | URI of Upload. e.g.: /pulp/api/v3/uploads/1/

data = Zest::Upload.new # Upload | 


begin
  result = api_instance.uploads_update_0(upload_href, data)
  p result
rescue Zest::ApiError => e
  puts "Exception when calling PulpApi->uploads_update_0: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **upload_href** | **String**| URI of Upload. e.g.: /pulp/api/v3/uploads/1/ | 
 **data** | [**Upload**](Upload.md)|  | 

### Return type

[**Upload**](Upload.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **workers_list**
> InlineResponse2009 workers_list(opts)





### Example
```ruby
# load the gem
require 'zest'
# setup authorization
Zest.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = Zest::PulpApi.new

opts = { 
  name: "name_example", # String | 
  name__in: "name__in_example", # String | Filter results where name is in a comma-separated list of values
  last_heartbeat__lt: "last_heartbeat__lt_example", # String | Filter results where last_heartbeat is less than value
  last_heartbeat__lte: "last_heartbeat__lte_example", # String | Filter results where last_heartbeat is less than or equal to value
  last_heartbeat__gt: "last_heartbeat__gt_example", # String | Filter results where last_heartbeat is greater than value
  last_heartbeat__gte: "last_heartbeat__gte_example", # String | Filter results where last_heartbeat is greater than or equal to value
  last_heartbeat__range: "last_heartbeat__range_example", # String | Filter results where last_heartbeat is between two comma separated values
  online: "online_example", # String | 
  missing: "missing_example", # String | 
  last_heartbeat: "last_heartbeat_example", # String | ISO 8601 formatted dates are supported
  page: 56, # Integer | A page number within the paginated result set.
  page_size: 56 # Integer | Number of results to return per page.
}

begin
  result = api_instance.workers_list(opts)
  p result
rescue Zest::ApiError => e
  puts "Exception when calling PulpApi->workers_list: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **name** | **String**|  | [optional] 
 **name__in** | **String**| Filter results where name is in a comma-separated list of values | [optional] 
 **last_heartbeat__lt** | **String**| Filter results where last_heartbeat is less than value | [optional] 
 **last_heartbeat__lte** | **String**| Filter results where last_heartbeat is less than or equal to value | [optional] 
 **last_heartbeat__gt** | **String**| Filter results where last_heartbeat is greater than value | [optional] 
 **last_heartbeat__gte** | **String**| Filter results where last_heartbeat is greater than or equal to value | [optional] 
 **last_heartbeat__range** | **String**| Filter results where last_heartbeat is between two comma separated values | [optional] 
 **online** | **String**|  | [optional] 
 **missing** | **String**|  | [optional] 
 **last_heartbeat** | **String**| ISO 8601 formatted dates are supported | [optional] 
 **page** | **Integer**| A page number within the paginated result set. | [optional] 
 **page_size** | **Integer**| Number of results to return per page. | [optional] 

### Return type

[**InlineResponse2009**](InlineResponse2009.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **workers_read**
> Worker workers_read(worker_href)





### Example
```ruby
# load the gem
require 'zest'
# setup authorization
Zest.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = Zest::PulpApi.new

worker_href = "worker_href_example" # String | URI of Worker. e.g.: /pulp/api/v3/workers/1/


begin
  result = api_instance.workers_read(worker_href)
  p result
rescue Zest::ApiError => e
  puts "Exception when calling PulpApi->workers_read: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **worker_href** | **String**| URI of Worker. e.g.: /pulp/api/v3/workers/1/ | 

### Return type

[**Worker**](Worker.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



