# Zest::Task

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**_href** | **String** |  | [optional] 
**_created** | **DateTime** | Timestamp of creation. | [optional] 
**state** | **String** | The current state of the task. The possible values include: &#39;waiting&#39;, &#39;skipped&#39;, &#39;running&#39;, &#39;completed&#39;, &#39;failed&#39; and &#39;canceled&#39;. | [optional] 
**name** | **String** | The name of task. | 
**started_at** | **DateTime** | Timestamp of the when this task started execution. | [optional] 
**finished_at** | **DateTime** | Timestamp of the when this task stopped execution. | [optional] 
**non_fatal_errors** | **String** | A JSON Object of non-fatal errors encountered during the execution of this task. | [optional] 
**error** | **String** | A JSON Object of a fatal error encountered during the execution of this task. | [optional] 
**worker** | **String** | The worker associated with this task. This field is empty if a worker is not yet assigned. | [optional] 
**parent** | **String** | The parent task that spawned this task. | [optional] 
**spawned_tasks** | **Array&lt;String&gt;** | Any tasks spawned by this task. | [optional] 
**progress_reports** | [**Array&lt;ProgressReport&gt;**](ProgressReport.md) |  | [optional] 
**created_resources** | **Array&lt;String&gt;** | Resources created by this task. | [optional] 


