# -*- encoding: utf-8 -*-
# stub: zest 0.0.4 ruby lib

Gem::Specification.new do |s|
  s.name = "zest".freeze
  s.version = "0.0.4"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Swagger-Codegen".freeze]
  s.date = "2019-03-21"
  s.description = "Generated Api bindings for Pulp3, built with the following components: pulpcore-3.0.0b23 pulpcore-plugin-0.1.0b21 pulp_file-0.0.1b9 ".freeze
  s.email = ["".freeze]
  s.files = ["Gemfile".freeze, "README.md".freeze, "Rakefile".freeze, "docs/Artifact.md".freeze, "docs/AsyncOperationResponse.md".freeze, "docs/Distribution.md".freeze, "docs/FileContent.md".freeze, "docs/FilePublisher.md".freeze, "docs/FileRemote.md".freeze, "docs/InlineResponse200.md".freeze, "docs/InlineResponse2001.md".freeze, "docs/InlineResponse2002.md".freeze, "docs/InlineResponse2003.md".freeze, "docs/InlineResponse2004.md".freeze, "docs/InlineResponse2005.md".freeze, "docs/InlineResponse2006.md".freeze, "docs/InlineResponse2007.md".freeze, "docs/InlineResponse2008.md".freeze, "docs/InlineResponse2009.md".freeze, "docs/ProgressReport.md".freeze, "docs/Publication.md".freeze, "docs/PulpApi.md".freeze, "docs/Repository.md".freeze, "docs/RepositoryPublishURL.md".freeze, "docs/RepositorySyncURL.md".freeze, "docs/RepositoryVersion.md".freeze, "docs/RepositoryVersionCreate.md".freeze, "docs/Task.md".freeze, "docs/Upload.md".freeze, "docs/Worker.md".freeze, "git_push.sh".freeze, "lib/zest.rb".freeze, "lib/zest/api/pulp_api.rb".freeze, "lib/zest/api_client.rb".freeze, "lib/zest/api_error.rb".freeze, "lib/zest/configuration.rb".freeze, "lib/zest/models/artifact.rb".freeze, "lib/zest/models/async_operation_response.rb".freeze, "lib/zest/models/distribution.rb".freeze, "lib/zest/models/file_content.rb".freeze, "lib/zest/models/file_publisher.rb".freeze, "lib/zest/models/file_remote.rb".freeze, "lib/zest/models/inline_response_200.rb".freeze, "lib/zest/models/inline_response_200_1.rb".freeze, "lib/zest/models/inline_response_200_2.rb".freeze, "lib/zest/models/inline_response_200_3.rb".freeze, "lib/zest/models/inline_response_200_4.rb".freeze, "lib/zest/models/inline_response_200_5.rb".freeze, "lib/zest/models/inline_response_200_6.rb".freeze, "lib/zest/models/inline_response_200_7.rb".freeze, "lib/zest/models/inline_response_200_8.rb".freeze, "lib/zest/models/inline_response_200_9.rb".freeze, "lib/zest/models/progress_report.rb".freeze, "lib/zest/models/publication.rb".freeze, "lib/zest/models/repository.rb".freeze, "lib/zest/models/repository_publish_url.rb".freeze, "lib/zest/models/repository_sync_url.rb".freeze, "lib/zest/models/repository_version.rb".freeze, "lib/zest/models/repository_version_create.rb".freeze, "lib/zest/models/task.rb".freeze, "lib/zest/models/upload.rb".freeze, "lib/zest/models/worker.rb".freeze, "lib/zest/version.rb".freeze, "spec/api/pulp_api_spec.rb".freeze, "spec/api_client_spec.rb".freeze, "spec/configuration_spec.rb".freeze, "spec/models/artifact_spec.rb".freeze, "spec/models/async_operation_response_spec.rb".freeze, "spec/models/distribution_spec.rb".freeze, "spec/models/file_content_spec.rb".freeze, "spec/models/file_publisher_spec.rb".freeze, "spec/models/file_remote_spec.rb".freeze, "spec/models/inline_response_200_1_spec.rb".freeze, "spec/models/inline_response_200_2_spec.rb".freeze, "spec/models/inline_response_200_3_spec.rb".freeze, "spec/models/inline_response_200_4_spec.rb".freeze, "spec/models/inline_response_200_5_spec.rb".freeze, "spec/models/inline_response_200_6_spec.rb".freeze, "spec/models/inline_response_200_7_spec.rb".freeze, "spec/models/inline_response_200_8_spec.rb".freeze, "spec/models/inline_response_200_9_spec.rb".freeze, "spec/models/inline_response_200_spec.rb".freeze, "spec/models/progress_report_spec.rb".freeze, "spec/models/publication_spec.rb".freeze, "spec/models/repository_publish_url_spec.rb".freeze, "spec/models/repository_spec.rb".freeze, "spec/models/repository_sync_url_spec.rb".freeze, "spec/models/repository_version_create_spec.rb".freeze, "spec/models/repository_version_spec.rb".freeze, "spec/models/task_spec.rb".freeze, "spec/models/upload_spec.rb".freeze, "spec/models/worker_spec.rb".freeze, "spec/spec_helper.rb".freeze, "zest.gemspec".freeze]
  s.homepage = "https://github.com/swagger-api/swagger-codegen".freeze
  s.licenses = ["GPLv2".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 1.9".freeze)
  s.rubygems_version = "3.2.33".freeze
  s.summary = "Generated Api Bindings for Pulp3".freeze
  s.test_files = ["spec/api/pulp_api_spec.rb".freeze, "spec/api_client_spec.rb".freeze, "spec/configuration_spec.rb".freeze, "spec/models/repository_sync_url_spec.rb".freeze, "spec/models/inline_response_200_1_spec.rb".freeze, "spec/models/inline_response_200_5_spec.rb".freeze, "spec/models/file_remote_spec.rb".freeze, "spec/models/repository_spec.rb".freeze, "spec/models/upload_spec.rb".freeze, "spec/models/inline_response_200_3_spec.rb".freeze, "spec/models/inline_response_200_9_spec.rb".freeze, "spec/models/task_spec.rb".freeze, "spec/models/repository_version_create_spec.rb".freeze, "spec/models/inline_response_200_6_spec.rb".freeze, "spec/models/publication_spec.rb".freeze, "spec/models/artifact_spec.rb".freeze, "spec/models/inline_response_200_7_spec.rb".freeze, "spec/models/inline_response_200_2_spec.rb".freeze, "spec/models/inline_response_200_4_spec.rb".freeze, "spec/models/async_operation_response_spec.rb".freeze, "spec/models/file_publisher_spec.rb".freeze, "spec/models/inline_response_200_spec.rb".freeze, "spec/models/repository_version_spec.rb".freeze, "spec/models/file_content_spec.rb".freeze, "spec/models/distribution_spec.rb".freeze, "spec/models/progress_report_spec.rb".freeze, "spec/models/inline_response_200_8_spec.rb".freeze, "spec/models/repository_publish_url_spec.rb".freeze, "spec/models/worker_spec.rb".freeze, "spec/spec_helper.rb".freeze]

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<typhoeus>.freeze, ["~> 1.0", ">= 1.0.1"])
    s.add_runtime_dependency(%q<json>.freeze, ["~> 2.1", ">= 2.1.0"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.6", ">= 3.6.0"])
    s.add_development_dependency(%q<vcr>.freeze, ["~> 3.0", ">= 3.0.1"])
    s.add_development_dependency(%q<webmock>.freeze, ["~> 1.24", ">= 1.24.3"])
    s.add_development_dependency(%q<autotest>.freeze, ["~> 4.4", ">= 4.4.6"])
    s.add_development_dependency(%q<autotest-rails-pure>.freeze, ["~> 4.1", ">= 4.1.2"])
    s.add_development_dependency(%q<autotest-growl>.freeze, ["~> 0.2", ">= 0.2.16"])
    s.add_development_dependency(%q<autotest-fsevent>.freeze, ["~> 0.2", ">= 0.2.12"])
  else
    s.add_dependency(%q<typhoeus>.freeze, ["~> 1.0", ">= 1.0.1"])
    s.add_dependency(%q<json>.freeze, ["~> 2.1", ">= 2.1.0"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.6", ">= 3.6.0"])
    s.add_dependency(%q<vcr>.freeze, ["~> 3.0", ">= 3.0.1"])
    s.add_dependency(%q<webmock>.freeze, ["~> 1.24", ">= 1.24.3"])
    s.add_dependency(%q<autotest>.freeze, ["~> 4.4", ">= 4.4.6"])
    s.add_dependency(%q<autotest-rails-pure>.freeze, ["~> 4.1", ">= 4.1.2"])
    s.add_dependency(%q<autotest-growl>.freeze, ["~> 0.2", ">= 0.2.16"])
    s.add_dependency(%q<autotest-fsevent>.freeze, ["~> 0.2", ">= 0.2.12"])
  end
end

